<?php
/*
    Last News : Plugin for GuppY 4.6,
    under CeCILL v2 Free Software Agreement
    Copyright (C) 2007- by  HPSAM
    Web site = http://www.hpsam.info
*/
if (stristr($_SERVER["SCRIPT_NAME"], "ln-functionadmin.inc")) {
  header("location:../index.php");
  die();
}
/**
 * Create the complete xhtml code for a LI with Label and 1 or 2 inputs type text for box or menu name
 *
 * @param string $part The name of the display we are in
 * @param string $label The label text for the select
 *
 * @return string The xhtml code for the li> label> inputs
 */
function TitreSectionLN($part, $label) {
    global $lang,${'ln_cfg_'.$part},$ln_adm1;
    $xhtmlcode = '<li><label for="ln_cfg_'.$part.'_0_0">'.$label."</label>\n";
    $flag0 = '<img src="'.CHEMIN.'inc/lang/lang.gif" width="24px" alt="['.$lang[0].']" />';
    if ($lang[1] != "") {
        $flag0 = '<br /><img src="'.CHEMIN.'inc/lang/'.$lang[0].'.gif" alt="['.$lang[0].']" />';
        $flag1 = '<img src="'.CHEMIN.'inc/lang/'.$lang[1].'.gif" alt="['.$lang[1].']" />';
    }
    $xhtmlcode .= $flag0.'<input id="ln_cfg_'.$part.'_0_0" name="ln_cfg_'.$part.'_0_0" type="text" value="'.((${'ln_cfg_'.$part}[0][0] != "")?${'ln_cfg_'.$part}[0][0]:$ln_adm1).'" maxlength="50" style="vertical-align:middle" />'."\n";
    if ($lang[1] != "") {
        $xhtmlcode .= '<br />'.$flag1.'<input id="ln_cfg_'.$part.'_0_1" name="ln_cfg_'.$part.'_0_1" type="text" value="'.((${'ln_cfg_'.$part}[0][1] != "")?${'ln_cfg_'.$part}[0][1]:$ln_adm1).'" maxlength="50" style="vertical-align:middle" />';
    }
    $xhtmlcode .= "</li>";
    return $xhtmlcode;
}
/**
 * Create the complete xhtml code for a LI with Label and Dropdown list of day old
 * from 1 to 31 by step of 1 day and from 60 to 360 by step of 30 days
 *
 * @param string $part The name of the display we are in
 * @param integer $config The number of the section to configure
 * @param string $label The label text for the select
 * @param string $time The text wich follow the number
 *
 * @return string The xhtml code for the li> label> select
 */
function ListeJourLN($part, $config1, $config2, $label, $time) {
    global ${'ln_cfg_'.$part}, $ln_adm35;
    $xhtmlcode = '<li><label for="ln_cfg_'.$part.'_'.$config1.'_'.$config2.'">'.$label." </label>\n" .
        '	<select name="ln_cfg_'.$part.'_'.$config1.'_'.$config2.'" id="ln_cfg_'.$part.'_'.$config1.'_'.$config2.'" style="vertical-align:middle">'."\n" .
        '		<option value="">'.$ln_adm35."</option>\n";
    for ($i = 2; $i < 31; $i++) {
        $xhtmlcode .= '		<option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config1][$config2] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.$i.' '.$time."</option>\n";
    }
    for ($i = 60; $i < 365; $i+=30) {
        $xhtmlcode .= '     <option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config1][$config2] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.$i.' '.$time."</option>\n";
    }
    $xhtmlcode .= "	</select></li>\n";
    return $xhtmlcode;
}
/**
 * Create the complete xhtml code for a LI with Label and Dropdown list of length for truncate option
 *
 * @param string $part The name of the display we are in
 * @param integer $config The number of the section to configure
 * @param string $label The label text for the select
 *
 * @return string The xhtml code for the li> label> select
 */
function ListeTailleLN($part, $config, $label) {
    global ${'ln_cfg_'.$part},$ln_adm26,$ln_adm38;
    $xhtmlcode = '<li><label for="ln_cfg_'.$part.'_'.$config.'_1">'.$label." </label>\n" .
        '	<select name="ln_cfg_'.$part.'_'.$config.'_1" id="ln_cfg_'.$part.'_'.$config.'_1" style="vertical-align:middle">'."\n" .
        '		<option value="">'.$ln_adm38."</option>\n";
    for ($i = 20; $i < 80; $i+=5) {
        $xhtmlcode .= '		<option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config][1] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.$i.' '.$ln_adm26."</option>\n";
    }
    for ($i = 100; $i < 200; $i+=20) {
        $xhtmlcode .= '		<option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config][1] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.$i.' '.$ln_adm26."</option>\n";
    }
    for ($i = 250; $i < 500; $i+=50) {
        $xhtmlcode .= '		<option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config][1] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.$i.' '.$ln_adm26."</option>\n";
    }
    $xhtmlcode .= "	</select></li>\n";
    return $xhtmlcode;
}
/**
 * Create the xhtml code for a LI with Label and checkbox for choice 'insert into global rss'
 *
 * @param integer $config The number of the section to configure
 *
 * @return string The xhtml code for the li> label> checkbox
 */
function FluxGlobalLN($config) {
    global $ln_cfg_rss, $ln_adm24;
    $xhtmlcode = '<li><label for="ln_cfg_rss_'.$config.'_3">'.$ln_adm24." </label>\n" .
        '<input type="checkbox" name="ln_cfg_rss_'.$config.'_3" id="ln_cfg_rss_'.$config.'_3"';
    if ($ln_cfg_rss[$config][3]) $xhtmlcode .= ' checked="checked"';
    $xhtmlcode .= " style=\"vertical-align:middle\" /></li>\n";
    return $xhtmlcode;
}
/**
 * Create the xhtml code for a LI with Label and dropdown list of times for RSS cache life
 *
 * @param integer $config The number of the section to configure
 *
 * @return string The xhtml code for the li> label> select
 */
function DureeCacheLN($config) {
    global $ln_cfg_rss,$ln_adm27,$ln_adm28,$ln_adm29,$ln_adm30,$ln_adm31,$ln_adm32,$ln_adm33,$ln_adm34;
    $xhtmlcode = '<li><label for="ln_cfg_rss_'.$config.'_2">'.$ln_adm27." </label>\n" .
        '	<select name="ln_cfg_rss_'.$config.'_2" id="ln_cfg_rss_'.$config.'_2" style="vertical-align:middle">'."\n" .
        '    <option value="0">'.$ln_adm28."</option>\n";
    if ($ln_cfg_rss[$config][2] == 60) $sel = ' selected=selected"'; else $sel = '';
    $xhtmlcode .= '		<option value="60"'.$sel.'>1 '.$ln_adm29."</option>\n";
    // minutes from 5 to 55 by step of 5
    for ($i = 5; $i <= 55; $i+= 5) {
        $d=$i*60;
        if ($ln_cfg_rss[$config][2] == $d) $sel = ' selected=selected"'; else $sel = '';
        $xhtmlcode .= '		<option value="'.$d.'"'.$sel.'>'.$i.' '.$ln_adm30."</option>\n";
    }
    // hours from 1 to 23 by step of 1
    for ($i = 1; $i < 24; $i++) {
        $d=$i*3600;
        if ($ln_cfg_rss[$config][2] == $d) $sel = ' selected=selected"'; else $sel = '';
        $pluriel = ($i > 1)?$ln_adm32:$ln_adm31;
        $xhtmlcode .= '		<option value="'.$d.'"'.$sel.'>'.$i.' '.$pluriel."</option>\n";
    }
    // days from 1 to 15 by step of 1
    for ($i = 1; $i <= 15; $i++) {
        $d=$i*86400;
        if ($ln_cfg_rss[$config][2] == $d) $sel = ' selected=selected"'; else $sel = '';
        $pluriel = ($i > 1)?$ln_adm34:$ln_adm33;
        $xhtmlcode .= '		<option value="'.$d.'"'.$sel.'>'.$i.' '.$pluriel."</option>\n";
    }
    $xhtmlcode .= "	</select></li>\n";
    return $xhtmlcode;
}
/**
 * Create the complete xhtml code for a LI with Label and Dropdown list of max forum messages to display
 *
 * @param string $part The name of the display we are in
 * @param integer $config The number of the section to configure
 * @param string $label The label text for the select
 *
 * @return string The xhtml code for the li> label> select
 */
function ListeMessageLN($part, $config, $label) {
    global ${'ln_cfg_'.$part},$ln_adm38,$ln_adm165;
    $xhtmlcode = '<li><label for="ln_cfg_'.$part.'_'.$config.'_4">'.$label." </label>\n" .
        '	<select name="ln_cfg_'.$part.'_'.$config.'_4" id="ln_cfg_'.$part.'_'.$config.'_4" style="vertical-align:middle">'."\n" .
        '		<option value="">'.$ln_adm38."</option>\n";
    for ($i = 2; $i < 20; $i++) {
        $xhtmlcode .= '		<option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config][4] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.$i.' '.$ln_adm165."</option>\n";
    }
    $xhtmlcode .= "	</select></li>\n";
    return $xhtmlcode;
}
/**
 * Create the complete xhtml code for a LI with Label and Dropdown list of display order
 *
 * @param string $part The name of the display we are in
 * @param integer $config The number of the section to configure
 */
function ListeOrdreAffichageLN($part, $config){
    global ${'ln_cfg_'.$part},$ln_adm38,$ln_adm40,$ln_adm41,$ln_adm42,$ln_adm43,$ln_adm44,$ln_adm45;
    $xhtmlcode = '<li><label for="ln_cfg_'.$part.'_'.$config.'_2">'.$ln_adm40." </label>\n" .
        '	<select name="ln_cfg_'.$part.'_'.$config.'_2" id="ln_cfg_'.$part.'_'.$config.'_2" style="vertical-align:middle">'."\n";
    for ($i = 0; $i <= 4; $i++) {
        $xhtmlcode .= '		<option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config][2] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.${'ln_adm'.($i+41)}."</option>\n";
    }
    $xhtmlcode .= "	</select></li>\n";
    return $xhtmlcode;
}
/**
 * Create the complete xhtml code for a LI with Label and Dropdown list of display order
 *
 * @param string $part The name of the display we are in
 * @param integer $config The number of the section to configure
 */
function ListeRestrictionLN($part, $config){
    global ${'ln_cfg_'.$part},$ln_adm53;
    $xhtmlcode = '<li><label for="ln_cfg_'.$part.'_'.$config.'_2">'.$ln_adm53." </label>\n" .
        '	<select name="ln_cfg_'.$part.'_'.$config.'_2" id="ln_cfg_'.$part.'_'.$config.'_2" style="vertical-align:middle">'."\n";
    for ($i = 0; $i <= 4; $i++) {
        $xhtmlcode .= '		<option value="'.$i.'"';
        if (${'ln_cfg_'.$part}[$config][2] == $i) $xhtmlcode .= ' selected="selected"';
        $xhtmlcode .= '>'.${'ln_adm'.($i+41)}."</option>\n";
    }
    $xhtmlcode .= "	</select></li>\n";
    return $xhtmlcode;
}
/**
 * Create the complete xhtml code for a LI with Label and Dropdown list of sort order
 *
 * @param string $part The name of the display we are in
 * @param integer $config The number of the section to configure
 */
function ListeSortLN($part, $config){
    global ${'ln_cfg_'.$part}, $ln_adm48, $ln_adm48a, $ln_adm48b;
    $xhtmlcode = '<li><label for="ln_cfg_'.$part.'_'.$config.'_5">'.$ln_adm48." </label>\n" .
        '   <select name="ln_cfg_'.$part.'_'.$config.'_5" id="ln_cfg_'.$part.'_'.$config.'_5" style="vertical-align:middle">'."\n";

    $xhtmlcode .= '     <option value="asc"';
    if (${'ln_cfg_'.$part}[$config][5] == 'asc') $xhtmlcode .= ' selected="selected"';
    $xhtmlcode .= '>'.$ln_adm48a."</option>\n";

    $xhtmlcode .= '     <option value="desc"';
    if (${'ln_cfg_'.$part}[$config][5] != 'asc') $xhtmlcode .= ' selected="selected"';
    $xhtmlcode .= '>'.$ln_adm48b."</option>\n";

    $xhtmlcode .= " </select></li>\n";

    return $xhtmlcode;
}
