<?php
/*
    Last News : Plugin for GuppY 4.6,
    under CeCILL v2 Free Software Agreement
    Copyright (C) 2007- by  HPSAM
    Web site = http://www.hpsam.info
*/
/**
 * @todo Add test for forum other than guppy forum
 */
if (stristr($_SERVER["SCRIPT_NAME"], "boxhomelastnews.inc")) {
  header("location:../index.php");
  die();
}
include_once(CHEMIN."plugins/last_news/inc/function.inc");
include_once(CHEMIN."plugins/last_news/inc/function_cbox.inc");

if (is_file(LN_CONFIG.'2'.INCEXT)) {
    include(LN_CONFIG.'2'.INCEXT);

    $sectionList = array(
    // DB name, title, link, image, display type
        1 => array("ag", $ln_web100, "agenda", "agenda",
                    AreaDisplayLN(14, $ln_cfg_cd[0][3])),
        2 => array("art", $ln_web110, "articles", "articles",
                    AreaDisplayLN(1, $ln_cfg_cd[0][3])),
        3 => array("reac", $ln_web120, "articles", "react",
                    AreaDisplayLN(1, $ln_cfg_cd[0][3])),
        4 => array("blog", $ln_web130, "blogs", "blog",
                    AreaDisplayLN(15, $ln_cfg_cd[0][3])),
        5 => array("reblog", $ln_web140, "blog", "react",
                    AreaDisplayLN(15, $ln_cfg_cd[0][3])),
        6 => array("faq", $ln_web150, "faq", "faq",
                    AreaDisplayLN(4, $ln_cfg_cd[0][3])),
        7 => array("forum", $ln_web160, "thread", "forum",
                    AreaDisplayLN(5, $ln_cfg_cd[0][3])),
        8 => array("link", $ln_web170, "links", "links",
                    AreaDisplayLN(3, $ln_cfg_cd[0][3])),
        9 => array("guest", $ln_web180, "guestbk", "guestbook",
                    AreaDisplayLN(12, $ln_cfg_cd[0][3])),
        10 => array("news", $ln_web190, "news", "news",
                    AreaDisplayLN(13, $ln_cfg_cd[0][3])),
        11 => array("photo", $ln_web200, "photo", "photo",
                    AreaDisplayLN(2, $ln_cfg_cd[0][3])),
        12 => array("dwnld", $ln_web210, "download", "download",
                    AreaDisplayLN(7, $ln_cfg_cd[0][3]))
    );
// *************** We generate the database
    $dbwork_ag = array(); $dbwork_art = array(); $dbwork_reac = array(); $dbwork_blog = array();
    $dbwork_reblog = array(); $dbwork_faq = array(); $dbwork_forum = array(); $dbwork_guest = array();
    $dbwork_link = array(); $dbwork_news = array(); $dbwork_photo = array(); $dbwork_dwnld = array();

    if ($ln_cfg_cd[1][0] != "" || $ln_cfg_cd[1][4] != "" && $sectionList[1][4] != 'nodisplay') {
        $dbwork_ag = SelectAgendaPostFileByStatusLN(ReadDBFields(DBAGENDA),
                                        $ln_cfg_cd[1][0], $ln_cfg_cd[1][4], 4,
                                        $ln_cfg_cd[1][1], $sectionList[1][4], $ln_cfg_cd[1][5]);
    }
    if ($ln_cfg_cd[2][0] != "" && $sectionList[2][4] != 'nodisplay') {
        $dbwork_art = SelectRecentPostFileByStatusLN(ReadDBFields(DBART),
                                        $ln_cfg_cd[2][0], 4, $ln_cfg_cd[2][1],
                                        $sectionList[2][4], '', $ln_cfg_cd[2][5]);
    }
    if ($ln_cfg_cd[3][0] != "" && $sectionList[3][4] != 'nodisplay') {
        $dbwork_reac = SelectRecentPostFileByStatusLN(ReadDBFields(DBREACT),
                                        $ln_cfg_cd[3][0], 0, $ln_cfg_cd[3][1],
                                        $sectionList[3][4], 2, $ln_cfg_cd[3][5]);
    }
    if ($ln_cfg_cd[4][0] != "" && $sectionList[4][4] != 'nodisplay') {
        $dbwork_blog = SelectRecentPostFileByStatusLN(ReadDBFields(DBBLOG),
                                        $ln_cfg_cd[4][0], 4, $ln_cfg_cd[4][1],
                                        $sectionList[4][4], '', $ln_cfg_cd[4][5]);
    }
    if ($ln_cfg_cd[5][0] != "" && $sectionList[5][4] != 'nodisplay') {
        $dbwork_reblog = SelectRecentPostFileByStatusLN(ReadDBFields(DBREBLOG),
                                        $ln_cfg_cd[5][0], 0, $ln_cfg_cd[5][1],
                                        $sectionList[5][4], 2, $ln_cfg_cd[5][5]);
    }
    if ($ln_cfg_cd[6][0] != "" && $sectionList[6][4] != 'nodisplay') {
        $dbwork_faq = SelectRecentPostFileByStatusLN(ReadDBFields(DBFAQ),
                                        $ln_cfg_cd[6][0], 4, $ln_cfg_cd[6][1],
                                        $sectionList[6][4], '', $ln_cfg_cd[6][5]);
    }
    if ($ln_cfg[2] != 'ugf'){
        if ($ln_cfg_cd[7][0] != "" && $sectionList[7][4] != 'nodisplay') {
            $dbwork_forum = SelectRecentForumPostByStatusLN(ReadDBFields(DBTHREAD),
                                        $ln_cfg_cd[7][0], $ln_cfg_cd[7][1],
                                        $ln_cfg_cd[7][4], $sectionList[7][4], $ln_cfg_cd[7][5]);
        }
    }
    if ($ln_cfg_cd[8][0] != "" && $sectionList[8][4] != 'nodisplay') {
        $dbwork_link = SelectRecentPostFileByStatusLN(ReadDBFields(DBLINKS),
                                        $ln_cfg_cd[8][0], 4, $ln_cfg_cd[8][1],
                                        $sectionList[8][4], '', $ln_cfg_cd[8][5]);
    }
    if ($ln_cfg_cd[9][0] != "" && $sectionList[9][4] != 'nodisplay') {
        $dbwork_guest = SelectRecentPostFileByStatusLN(SelectDBFields(TYP_GUESTBK, 'a', ''),
                                        $ln_cfg_cd[9][0],1, $ln_cfg_cd[9][1],
                                        $sectionList[9][4], '', $ln_cfg_cd[9][5]);
    }
    if ($ln_cfg_cd[10][0] != "" && $sectionList[10][4] != 'nodisplay') {
        $dbwork_news = SelectRecentPostFileByStatusLN(SelectDBFields(TYP_NEWS, 'a', ''),
                                        $ln_cfg_cd[10][0], 1, $ln_cfg_cd[10][1],
                                        $sectionList[10][4], '', $ln_cfg_cd[10][5]);
    }
    if ($ln_cfg_cd[11][0] != "" && $sectionList[11][4] != 'nodisplay') {
        $dbwork_photo = SelectRecentPostFileByStatusLN(ReadDBFields(DBPHOTO),
                                        $ln_cfg_cd[11][0], 4, $ln_cfg_cd[11][1],
                                        $sectionList[11][4], '', $ln_cfg_cd[11][5]);
    }
    if ($ln_cfg_cd[12][0] != "" && $sectionList[12][4] != 'nodisplay') {
        $dbwork_dwnld = SelectRecentPostFileByStatusLN(ReadDBFields(DBDNLOAD),
                                        $ln_cfg_cd[12][0], 4, $ln_cfg_cd[12][1],
                                        $sectionList[12][4], '', $ln_cfg_cd[12][5]);
    }
// ************* We display the datas
    $topmess = ($lng == $lang[1]) ? $ln_cfg_cd[0][1] : $ln_cfg_cd[0][0];
    if ($page[9] != "") $topmess = '<img src="'.CHEMIN.'plugins/last_news/last_news.gif" align="right" alt="logo"/>'.$topmess;

    htable($topmess, "100%");

    echo '<style type="text/css">' .
         '@import url(' . CHEMIN . 'plugins/last_news/lastnews.css);' .
         '</style>';

    // List of all avaible RSS
    if (is_file(LN_CONFIG.'3' . INCEXT)) {
        include_once(LN_CONFIG . '3' . INCEXT);
        $ln_RSSList = ListAllRSSLN($sectionList);

        if (is_array($ln_RSSList)){
            echo '<form action="' . CHEMIN . 'plugins/last_news/lastnews_rss.php?lng=' . $lng . '" method="get" enctype="text/plain">' .
                '    <img src="' . CHEMIN . 'inc/img/general/rss.gif" alt="RSS" />' .
                '    <select name="fl" id="fl">';
            for($i = 0; $i<=13; $i++){
                if ($ln_RSSList[$i])
                    echo '        <option value="' . $i . '">' . ${'ln_web' . (30 + $i)} . "</option>\n";
            }
            echo "</select>\n" .
                $boutonleft . '<button type="submit" title="' . $ln_web14 . '">' . $ln_web14 . '</button>' . $boutonright .
                "\n</form>\n";
        }
    }
    // Display all sections
    foreach($ln_cfg_cd[0][4] as $i){
        // Type of photo gallery
        if ($i == 11 && $ln_cfg[1] == "on") {
            if ($ln_cfg[0] == "on") $sectionList[$i][2] = "plugins/photogd/photogd";
            elseif ($serviz[21] == "on") $sectionList[$i][2] = "photorama";
            else $sectionList[$i][2] = "photos";
        }
        // Use Plugin DownloadPlus
        elseif ($i == 12 && $ln_cfg[1] == "on") $sectionList[$i][2] = "downloadplus";
        // Use Plugin C6Forum
        elseif ($i == 7 && $ln_cfg[2] == 'c6') $sectionList[$i][2] = "plugins/forum/thread";
        // Use Plugin Coolforum
        elseif ($i == 7 && $ln_cfg[2] == 'cf') $sectionList[$i][2] = "plugins/coolforum/thread";

        // Other special plugins
        if ($i == 13) {// Linuxmr Compatibilit Openfiches ===>
            //Vrification si prsence du fichier contenant toutes les openfiches cres
            // par copiefiches,  un seul rpertoire est prsent  l'installation de Openfiches
            if (file_exists(CHEMIN . "plugins/openfiches/configuration/fiches-config.inc")) {
                include(CHEMIN . "plugins/openfiches/configuration/fiches-config.inc");

                if ($ln_cfg_cd[13][0] !== "" ) {
                    if ($configopenfiches[49] !== "") { $ln_cfg_cd[13][0] = $configopenfiches[49]; }
                    else { $configopenfiches[49] = $ln_cfg_cd[13][0]; }
                }
                else {
                    if ($configopenfiches[49] !== "") { $ln_cfg_cd[13][0] = $configopenfiches[49]; }
                    else { $configopenfiches[49] = $ln_cfg_cd[13][0]; }
                }

                if ($configopenfiches[49] != "" ) {
                    if (file_exists(CHEMIN . "plugins/openfiches/data/copiefiches.inc")) {
                        if (file_exists(CHEMIN . "plugins/openfiches/listfiches.php")) {
                            include (CHEMIN . "plugins/openfiches/listfiches.php");
                        }
                        else {
                            echo '<b>"plugins/openfiches/listfiches.php" not found, install the' .
                             '<a href="http://www.les-rosiers.info" title="Author Site">compatible OpenFiches Plugin. </a><br />' .
                             '"plugins/openfiches/listfiches.php" non trouv, installer le ' .
                             '<a href="http://www.les-rosiers.info" title="Author Site">Plugin Openfiches Compatible</a></b>';
                        }
                    }
                }
            }
        }
        // Forum Coolforum
/*        elseif ($i == 7 && $ln_cfg[2] == 'cf'){
            if (file_exists(CHEMIN . "plugins/last_news/inc/coolforumbox.inc"))
                include(CHEMIN . "plugins/last_news/inc/coolforumbox.inc");

        }*/
        // Forum UGF
        elseif ($i == 7 && $ln_cfg[2] == 'ugf'){
            if (file_exists(CHEMIN . "plugins/last_news/inc/ugfbox.inc"))
                include(CHEMIN . "plugins/last_news/inc/ugfbox.inc");
        }
        // GuppY areas
        else {
            ViewLastPostLN(${'dbwork_' . $sectionList[$i][0]}, $sectionList[$i][1],
                            $sectionList[$i][2], $sectionList[$i][3], $ln_cfg_cd[$i][0],
                            $ln_cfg_cd[$i][2], $ln_cfg_cd[$i][4]);
            unset(${'dbwork_' . $sectionList[$i][0]});
        }
    }
    if (($serviz[32] == "on" && !empty($serviz[31]) && $serviz[31] == $userprefs[1])
            || ($serviz[32] == "on" && $drtuser['last_news'] == "on")) {
        ?>
  <p align="right"><a href="<?php echo CHEMIN; ?>admin/admin.php?lng=<?php echo $lng; ?>&amp;pg=plugin&amp;plug=last_news/last_news&amp;lnp=cd">
  <img src="<?php echo CHEMIN; ?>inc/img/general/edit.gif" border="0"  title="<?php echo $web308; ?>" alt="<?php echo $web308; ?>" /></a></p>
        <?php
    }
    btable();
}
else echo "Save configuration first";
