<?php
/*
    Last News : Plugin for GuppY 4.6,
    under CeCILL v2 Free Software Agreement
    Copyright (C) 2007- by  HPSAM
    Web site = http://www.hpsam.info
*/
if (stristr($_SERVER["SCRIPT_NAME"], "function_cbox.inc")) {
  header("location:../index.php");
  die();
}
/**
 * Create a label for html title info in ViewLastPostLN()
 *
 * @param string $varTitle The title informaation
 * @param integer $varIndex Type of title information
 *
 * @return string "label : $varTitle" or empty string if $varTitle is empty
 */
function LabelTitleLN($varTitle, $varIndex){
    global $ln_web4,$ln_web5,$ln_web6,$ln_web7,$ln_web8;
    if ($varTitle != "") {
        $varTitle = strip_tags($varTitle);
        if ($varIndex === 1) return $ln_web6.' '.$varTitle;
        elseif ($varIndex === 2) return $ln_web4.' '.$varTitle;
        elseif ($varIndex === 3) return $ln_web8.' '.$varTitle;
        elseif ($varIndex === 4) return $ln_web7.' '.$varTitle.'...';
        else return $ln_web5.' '.$varTitle;
    }
    return '';
}
/**
 * Display elements for plugin central box.
 *
 * @param array $varFiels Comes from SelectRecentPostFileByStatusLN()
 * @param string $titreTexte Title for the sub boxes
 * @param string $varLink The beginning of the link to view element
 * @param string $varImg Name of the gif without extension to display
 * @param integer $varTemps Number of days old
 * @param integer $varAffiche Display Order
 * @param integer $varExtra Future days for agenda or number of messages for forum
 */
function ViewLastPostLN($varFields,$titreTexte,$varLink,$varImg,$varTemps,$varAffiche,$varExtra='') {
    global $lng,$serviz,$nom,$page;
    global $web221,$web398,$web406,$ln_web1,$ln_web2,$ln_web3,$ln_web101,$ln_web161;
    $pluriel = ($varTemps>1)?$ln_web3:$ln_web2;

    if (!empty($varFields)) {
        /* display order of information store in $varFields
        * 1 = modification date, 2 = author, 3 = Title, 4 = Truncated text, 5 = categorie
        * the first 3 number are for the 3 columns, the last 2 are for mouse over informations
        * You can add more choice.
        * If empty value, column is not shown
        */
        switch ($varAffiche){
            case 0:
                $lnCol = array(3, 4, 1, 2, 5);
                break;
            case 1:
                $lnCol = array(5, 3, 1, 2, 4);
                break;
            case 2:
                $lnCol = array(2, 4, 1, 5, 3);
                break;
            case 3:
                $lnCol = array(2, 3, 1, 5, 4);
                break;
            case 4:
                $lnCol = array("", 4, 1, 2, "");
                break;
            default:
        }
        echo '<table cellspacing="0" cellpadding="0" width="100%" class="bord">';
        echo "\n<tr class=\"quest\">\n";
        // Image from GuppY or Plugins
        $varImg = (($page[9]!="" && $varImg!="articles" && $varImg!="agenda")?'inc/img/icons/'.$page[9].'/':'plugins/last_news/img/').$varImg;
        // Section Title
        echo '	<td colspan="3" class="quest lastnewstitre"><b><img src="'.CHEMIN.$varImg.'.gif" alt="-" height="16px" />&nbsp;';
        if ($varLink == "thread") echo sprintf($ln_web161, $titreTexte, $varTemps, $pluriel, $varExtra);
        elseif ($varLink == "agenda") {
            if ($varExtra == 0)
                echo sprintf($ln_web102, $titreTexte, $varTemps, $pluriel);
            elseif ($varTemps == 0)
                echo sprintf($ln_web103, $titreTexte, $varExtra, ($varExtra>1)?$ln_web3:$ln_web2);
            else
                echo sprintf($ln_web101, $titreTexte, $varTemps, $pluriel, $varExtra, ($varExtra>1)?$ln_web3:$ln_web2);
        }
        else echo sprintf($ln_web1, $titreTexte, $varTemps, $pluriel);

        echo "</b></td></tr>\n";

        // Display last posts informations
        for ($i = count($varFields)-1; $i >= 0; $i--) {
            // Link to post
            $ln_href = CHEMIN.$varLink.'.php?lng='.$lng.'&amp;pg='.$varFields[$i][0];
            if ($varLink=="agenda") $ln_href .= '&agv=1';

            echo '<tr class="'.(($i%2)?'rep':'quest').'" title="'.LabelTitleLN($varFields[$i][$lnCol[3]],$lnCol[3]).(($varFields[$i][$lnCol[3]]!="" && $varFields[$i][$lnCol[4]]!="")?' || ':'').LabelTitleLN($varFields[$i][$lnCol[4]],$lnCol[4])."\">\n";
            if($lnCol[0]!="")
                echo '	<td class="lastnewsc1"><a href="'.$ln_href.'">'.$varFields[$i][$lnCol[0]]."</a></td>\n";
            if($lnCol[1]!="")
                echo '	<td class="lastnewsc2"><a href="'.$ln_href.'">'.$varFields[$i][$lnCol[1]].(($lnCol[1]==4)?'...':'')."</a></td>\n";
            if($lnCol[2]!="")
                echo '	<td class="lastnewsc3" nowrap="nowrap">'.$varFields[$i][$lnCol[2]]."</td></tr>\n";
        }
        echo "</table><br />\n";
    }
}
?>